
QGIS Application - Bug report #15828

"Join by attributes" generates incomplete results

2016-11-09 12:12 AM - Krzychu Sochier

Status: Closed

Priority: High

Assignee:

Category: Processing/QGIS

Affected QGIS version:2.18.0 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 23748

Description

The function "Join by attributes" in a QGIS standalone script fails to generate complete data in the output layer. The output layer always

contains only 1 feature, despite the fact that all the features in the input layers should be contained. The issue appeared after upgrading

QGIS 2.14 to 2.18. Before the upgrade the function had worked fine. Tested with multiple data sets.

More details and code provided on:

http://gis.stackexchange.com/questions/216983/function-join-attributes-by-location-in-pyqgis-script-generates-incomplete-resul

History

#1 - 2016-11-09 12:24 AM - Krzychu Sochier

UPDATE:

I should add that the function works correctly in QGIS 2.18  in the GUI as well as in the script console in QGIS window.

#2 - 2016-12-30 05:38 AM - Alexander Bruy

- Pull Request or Patch supplied changed from Yes to No

#3 - 2017-04-27 06:01 AM - Alexander Bruy

- Category set to Processing/QGIS

#4 - 2017-05-01 01:02 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#5 - 2017-05-03 09:05 AM - Alexander Bruy

- Description updated

- Subject changed from PyQGIS "Join by attributes" function generates incomplete results to "Join by attributes" generates incomplete results

#6 - 2017-05-03 10:58 AM - Giovanni Manghi

- Priority changed from Normal to High

- Regression? changed from No to Yes

#7 - 2017-05-05 02:26 PM - Giovanni Manghi

- Status changed from Open to Feedback

Is this true on qgis 2.18.7 and/or master?
http://gis.stackexchange.com/questions/216983/function-join-attributes-by-location-in-pyqgis-script-generates-incomplete-resul


#8 - 2017-05-11 12:24 PM - Alexander Bruy

Works fine with latest 2.18. Please check and provide reproducible testcase if it does not work for you.

#9 - 2017-05-24 01:59 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to not reproducable

Closing for lack of feedback.
